OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
OpenMesh::OMTriIterator< VectorT >::SDataMembers Struct Reference

`#include <OMTriIterator.h>`

## Public Attributes
int | m_iMinX
int | m_iMaxX
int | m_iMinY
int | m_iMaxY
int | m_iFDX1
int | m_iFDX2
int | m_iFDX3
int | m_iFDY1
int | m_iFDY2
int | m_iFDY3
int | m_iCY1
int | m_iCY2
int | m_iCY3
int | m_iCX1
int | m_iCX2
int | m_iCX3
mds::tSize | m_X
mds::tSize | m_Y

## Detailed Description

### template<class VectorT>
struct OpenMesh::OMTriIterator< VectorT >::SDataMembers

All data members

## Member Data Documentation

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iCX1

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iCX2

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iCX3

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iCY1

Flags

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iCY2

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iCY3

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iFDX1

Deltas

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iFDX2

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iFDX3

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iFDY1

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iFDY2

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iFDY3

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iMaxX

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iMaxY

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iMinX

Bounding rectangle

template<class VectorT>

int OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_iMinY

template<class VectorT>

mds::tSize OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_X

Iterator position

template<class VectorT>

mds::tSize OpenMesh::OMTriIterator< VectorT >::SDataMembers::m_Y

The documentation for this struct was generated from the following file:

- trunk/include/OMToolkit/OMTriIterator.h